<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');
?>
<div class="login<?php echo $this->pageclass_sfx ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>
    <?php if (($this->params->get('logindescription_show') == 1 && str_replace(' ', '', $this->params->get('login_description')) != '') || $this->params->get('login_image') != '') : ?>
    <div class="login-description">
        <?php endif; ?>
        <?php if ($this->params->get('logindescription_show') == 1) : ?>
            <?php echo $this->params->get('login_description'); ?>
        <?php endif; ?>
        <?php if ($this->params->get('login_image') != '') : ?>
            <img src="<?php echo $this->escape($this->params->get('login_image')); ?>" class="login-image"
                 alt="<?php echo JText::_('COM_USER_LOGIN_IMAGE_ALT') ?>"/>
        <?php endif; ?>
        <?php if (($this->params->get('logindescription_show') == 1 && str_replace(' ', '', $this->params->get('login_description')) != '') || $this->params->get('login_image') != '') : ?>
    </div>
<?php endif; ?>
    <form action="<?php echo JRoute::_('index.php?option=com_users&task=user.login'); ?>" method="post">
        <fieldset>
            <?php foreach ($this->form->getFieldset('credentials') as $field): ?>
                <?php if (!$field->hidden): ?>
                    <div class="ui-field-contain">
                        <?php echo $field->label; ?>
                        <?php echo $field->input; ?>
                    </div>
                <?php endif; ?>
            <?php endforeach; ?>
            <?php if ($this->tfa) : ?>
                <?php echo $this->form->renderField('secretkey'); ?>
            <?php endif; ?>
            <?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
                <div class="control-group">
                    <div class="control-label">
                        <label for="remember">
                            <?php echo JText::_('COM_USERS_LOGIN_REMEMBER_ME'); ?>
                        </label>
                    </div>
                    <div class="controls">
                        <input id="remember" type="checkbox" name="remember" class="inputbox" value="yes"/>
                    </div>
                </div>
            <?php endif; ?>
            <div class="ui-field-contain">
                <button type="submit" class="button"><?php echo JText::_('JLOGIN'); ?></button>
            </div>
            <?php
            $return = $this->params->get('login_redirect_url', $this->params->get('login_redirect_menuitem'));
            if (isset($this->form)) :
                $return = $this->form->getValue('return', '', $return);
            endif;
            ?>
            <input type="hidden" name="return" value="<?php echo base64_encode($return); ?>"/>
            <?php echo JHtml::_('form.token'); ?>
        </fieldset>
    </form>
    <ul data-role="listview" data-inset="true">
        <li>
            <a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
                <?php echo JText::_('COM_USERS_LOGIN_RESET'); ?></a>
        </li>
        <li>
            <a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
                <?php echo JText::_('COM_USERS_LOGIN_REMIND'); ?></a>
        </li>
        <?php
        $usersConfig = JComponentHelper::getParams('com_users');
        if ($usersConfig->get('allowUserRegistration')) : ?>
            <li>
                <a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
                    <?php echo JText::_('COM_USERS_LOGIN_REGISTER'); ?></a>
            </li>
        <?php endif; ?>
    </ul>
</div>
