<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
?>
<div class="registration<?php echo $this->pageclass_sfx ?>">
    <form id="member-registration"
          action="<?php echo JRoute::_('index.php?option=com_users&task=registration.register'); ?>" method="post"
          class="form-validate">
        <?php foreach ($this->form->getFieldsets() as $fieldset): // Iterate through the form fieldsets and display each one.?>
            <?php $fields = $this->form->getFieldset($fieldset->name); ?>
            <?php if (count($fields)): ?>
                <fieldset>
                    <?php if (isset($fieldset->label)):// If the fieldset has a label set, display it as the legend.?>
                        <h2><?php echo JText::_($fieldset->label); ?></h2>
                    <?php endif; ?>
                    <?php foreach ($fields as $field):// Iterate through the fields in the set and display them.?>
                        <?php if ($field->hidden):// If the field is hidden, just display the input.?>
                            <?php echo $field->input; ?>
                        <?php else: ?>
                            <div class="ui-field-contain">
                                <?php echo $field->label; ?>
                                <?php if (!$field->required && $field->type !== 'Spacer'): ?>
                                    <span class="optional"><?php echo JText::_('COM_USERS_OPTIONAL'); ?></span>
                                <?php endif; ?>
                                <?php echo $field->input; ?>
                            </div>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </fieldset>
            <?php endif; ?>
        <?php endforeach; ?>
        <div class="ui-grid-a">
            <div class="ui-block-a">
                <button type="submit" class="validate"><?php echo JText::_('JREGISTER'); ?></button>
            </div>
            <div class="ui-block-b">
                <a data-role="button" href="<?php echo JRoute::_(''); ?>"
                   title="<?php echo JText::_('JCANCEL'); ?>"><?php echo JText::_('JCANCEL'); ?></a>
            </div>
            <input type="hidden" name="option" value="com_users"/>
            <input type="hidden" name="task" value="registration.register"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </form>
</div>
