<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
// no direct access
defined('_JEXEC') or die('Restricted access');
JHtml::_('stylesheet', 'mod_languages/template.css', array(), true);
?>
<div class="mod-languages<?php echo $moduleclass_sfx ?>">
    <?php if ($headerText) : ?>
        <div class="pretext"><p><?php echo $headerText; ?></p></div>
    <?php endif; ?>

    <?php if ($params->get('dropdown', 1)) : ?>
        <form name="lang" method="post" action="<?php echo JUri::current(); ?>">
            <select class="inputbox" onchange="document.location.replace(this.value);">
                <?php foreach ($list as $language): ?>
                    <option dir="<?php echo JLanguage::getInstance($language->lang_code)->isRtl() ? 'rtl' : 'ltr' ?>"
                            value="<?php echo $language->link; ?>"<?php echo $language->active ? ' selected="selected"' : '' ?>>
                        <?php echo $language->title_native; ?></option>
                <?php endforeach; ?>
            </select>
        </form>
    <?php else : ?>
        <ul data-role="controlgroup" <?php echo $params->get('inline', 1) ? 'data-type="horizontal" class="lang-inline"' : 'class="lang-block"'; ?>>
            <?php foreach ($list as $language): ?>
                <?php if ($params->get('show_active', 0) || !$language->active): ?>
                    <li class="<?php echo $language->active ? 'ui-btn-active lang-active' : ''; ?>"
                        dir="<?php echo JLanguage::getInstance($language->lang_code)->isRtl() ? 'rtl' : 'ltr' ?>">
                        <a href="<?php echo $language->link; ?>">
                            <?php if ($params->get('image', 1)): ?>
                                <?php echo JHtml::_('image', 'mod_languages/' . $language->image . '.gif', $language->title_native, array('title' => $language->title_native), true); ?>
                            <?php else : ?>
                                <?php echo $params->get('full_name', 1) ? $language->title_native : strtoupper($language->sef); ?>
                            <?php endif; ?>
                        </a>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        </ul>
    <?php endif; ?>

    <?php if ($footerText) : ?>
        <div class="posttext"><p><?php echo $footerText; ?></p></div>
    <?php endif; ?>
</div>
