<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
// no direct access
defined('_JEXEC') or die;

if (version_compare(JVERSION, '3.7', '>=')):
    JLoader::register('UsersHelperRoute', JPATH_SITE . '/components/com_users/helpers/route.php');
elseif (version_compare(JVERSION, '3.2', '>=')):
    require_once JPATH_SITE . '/components/com_users/helpers/route.php';
endif;

JHtml::_('behavior.keepalive');
?>
<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure', 0)); ?>" method="post" id="login-form">
    <div class="pretext">
        <?php echo $params->get('pretext'); ?>
    </div>
    <fieldset class="userdata">
        <div class="ui-field-contain" id="form-login-username">
            <label for="modlgn-username"><?php echo JText::_('MOD_LOGIN_VALUE_USERNAME') ?></label>
            <input id="modlgn-username" type="text" name="username" class="inputbox" size="18" tabindex="1"/>
        </div>
        <div class="ui-field-contain" id="form-login-password">
            <label for="modlgn-passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
            <input id="modlgn-passwd" type="password" name="password" class="inputbox" size="18"/>
        </div>
        <?php if (isset($twofactormethods) && count($twofactormethods) > 1): ?>
            <div class="ui-field-contain" id="form-login-secretkey">
                <label for="modlgn-secretkey"><?php echo JText::_('JGLOBAL_SECRETKEY') ?></label>
                <input id="modlgn-secretkey" autocomplete="off" type="text" name="secretkey" class="inputbox"
                       tabindex="0" size="18"/>
            </div>
        <?php endif; ?>
        <?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
            <div id="form-login-remember">
                <label for="modlgn-remember"><input id="modlgn-remember" type="checkbox" name="remember"
                                                    class="inputbox"
                                                    value="yes"/> <?php echo JText::_('MOD_LOGIN_REMEMBER_ME') ?>
                </label>
            </div>
        <?php endif; ?>
        <input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGIN') ?>"/>
        <input type="hidden" name="option" value="com_users"/>
        <input type="hidden" name="task" value="user.login"/>
        <input type="hidden" name="return" value="<?php echo $return; ?>"/>
        <?php echo JHtml::_('form.token'); ?>
    </fieldset>
    <ul data-role="listview" data-inset="true">
        <li>
            <a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
                <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_PASSWORD'); ?></a>
        </li>
        <li>
            <a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
                <?php echo JText::_('MOD_LOGIN_FORGOT_YOUR_USERNAME'); ?></a>
        </li>
        <?php
        $usersConfig = JComponentHelper::getParams('com_users');
        if ($usersConfig->get('allowUserRegistration')) : ?>
            <li>
                <a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
                    <?php echo JText::_('MOD_LOGIN_REGISTER'); ?></a>
            </li>
        <?php endif; ?>
    </ul>
    <div class="posttext">
        <?php echo $params->get('posttext'); ?>
    </div>
</form>