<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version        3.2.2
 * @license        GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright    (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */
defined('_JEXEC') or die('Restricted access');

if (count($menu) == 0 || (count($menu) == 1 && $menu[0]->home)) {
    return;
}

$doc = JFactory::getDocument();
$theme_moduletitle = $doc->params->get('theme_moduletitle');
$theme_modulecontent = $doc->params->get('theme_modulecontent');

if ($theme_moduletitle) {
    $theme_moduletitle = ' data-divider-theme="' . $theme_moduletitle . '"';
}
if ($theme_modulecontent) {
    $theme_modulecontent = ' data-theme="' . $theme_modulecontent . '"';
}

?>
<ul data-role="listview"<?php echo $theme_modulecontent . $theme_moduletitle; ?>
    class="<?php echo $params->get('layout') . $params->get('class_prefix') . htmlspecialchars($params->get('class_sfx')); ?>">
    <?php
    foreach ($menu as $item) {
        if ($item->home) {
            continue;
        }

        if ($params->get('type') == 'submenu') {
            $is_active = false;
        } elseif ($item->type == 'alias') {
            $is_active = ($item->params->get('aliasoptions') == $active_id);
        } else {
            $is_active = ($item->id == $active_id);
        }

        $class = $item->anchor_css;
        if ($is_active) {
            $class = trim('active ' . $class);
        }
        $class = empty($class) ? '' : ' class="' . $class . '"';

        $target = $item->browserNav > 0 ? ' target="_blank"' : '';
        switch ($item->type) {
            case 'separator':
            case 'heading':
                $outline = array('<span' . $class . '>', '</span>');
                break;
            case 'url':
                $outline = array('<a' . $class . ' href="' . $item->flink . '"' . $target . ' rel="external">', '</a>');
                break;
            default:
                $outline = array('<a' . $class . ' href="' . $item->flink . '"' . $target . '>', '</a>');
        }

        $text = $item->title;
        $img = $item->menu_image ? '<img src="' . $item->menu_image . '" />' : '';
        switch ($params->get('format')) {
            case 0:
                break;
            case 1:
                $text = $img;
                break;
            case 2:
                $text = $img . $text;
                break;
            case 3:
                $text .= $img;
                break;
            case 4:
                $text = $img . '<br />' . $text;
                break;
            case 5:
                $text .= '<br />' . $img;
                break;
        }

        $class = array();
        if ($is_active) {
            $class[] = 'current ui-btn-active';
        }

        if ($item->type == 'separator') {
            $class[] = 'ui-disabled';
        }

        if (count($class) == 0) {
            $class = '';
        } else {
            $class = ' class="' . implode(' ', $class) . '"';
        }

        if ($item->type == 'separator') {
            $class = ' data-role="list-divider"' . $class;
        }
        ?>
        <li<?php echo $class; ?>>
            <?php echo $outline[0] . $text . $outline[1]; ?>
        </li>
        <?php
        if ($is_active && count($submenu)) {
            JMobileMenuHelper::renderSubmenu($submenu, $params);
        }
    }
    ?>
</ul>
